# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


#!/bin/bash

 echo "in uninstall"
# if [ $UID = 0 ] 
# then
  # Set all local variables
  source $PWD/scripts/CreaTools-configure.sh
  
  cd $installPrefix
  
  cd bin
  # Maybe too much brute! (What if anything else starts with 'bb' or 'crea'?)
   #rm -f bb*
   #rm -f crea*

   # WARNING : this list must be updated when new package is added

rm -f bbc
rm -f bbCreateBlackBox
rm -f bbCreatePackage
rm -f bbEditor
rm -f bbfy
rm -f bbi
rm -f bbPackageBrowser
rm -f bbPlugPackage
rm -f bbPostInstallPackage
rm -f bbRegenerateBoxesLists
rm -f bbRegeneratePackageDoc
rm -f bbs2cpp
rm -f bbStudio
rm -f bbtk-install-gnome
rm -f bbtk-uninstall.sh
rm -f creaContourApp
rm -f creaGimmickApp
rm -f creaImageIOApp
rm -f creaNewProject
rm -f creaNewProject.sh

  cd ../include
  # Maybe too much brute! (What if anything else starts with 'bb' or 'crea'?)
  #rm -rf bb*
  #rm -rf crea* 

     # WARNING : this list must be updated when new package is added
echo "rm include's" 
rm -rf bbappli
rm -rf bbcreaContours
rm -rf bbcreaImageIO
rm -rf bbcreaMaracasVisu
rm -rf bbdemo
rm -rf bbgdcmvtk
rm -rf bbitk
rm -rf bbitkvtk
rm -rf bbPackRecalage
rm -rf bbqt
rm -rf bbstd
rm -rf bbtk
rm -rf bbtoolsbbtk
rm -rf bbvtk
rm -rf bbwx
rm -rf bbwxvtk
rm -rf crea
rm -rf creaBruker
rm -rf creaContours
rm -rf creaEnvironment
rm -rf creaImageIO
rm -rf creaMaracasVisu
  
  cd ../lib
  # this one is riskless
echo "rm lib's"  
  rm -rf creatools
  
  cd ../share
  # this one is riskless
  echo "rm share's"
  rm -rf bbtk creaImageIO creaNewProject creaContours creaMaracasVisu  
  rm -f creatools_base_library_config.sh


  #if [ ! -f /etc/bashrc ]
  #then
  #    export ETC_BASHRC="/etc/bash.bashrc"
  #else
  #    export ETC_BASHRC="/etc/bashrc"
  #fi
  #  echo "revert $ETC_BASHRC to previous value"
  # revert /etc/bashrc to previous value  
  # - remove line 'bash $installPrefix/creatools_install/share/creatools_base_party_libraries_config.sh'
  #sed -i -e '/.*creatools_base_library_config.*/ d' $ETC_BASHRC 
  
echo "revert $HOME/.bashrc to previous value"  
sed -i -e '/.*creatools_base_library_config.*/ d' $HOME/.bashrc

#else
#  echo
#  echo "..ERROR.."
#  echo "==================================================="
#  echo "REMEMBER !"
# echo ""
#  echo "YOU NEED TO RUN THIS ONE AS root"
#  echo "==================================================="
#  echo
#  echo
#fi 

